# OgreTangentSpaceCalc.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreRenderOperation.h"`
`#include "OgreVector2.h"`
`#include "OgreVector3.h"`
`#include "OgreVertexIndexData.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::TangentSpaceCalc
| Class for calculating a tangent space basis. More...
struct | Ogre::TangentSpaceCalc::IndexRemap
| Information about a remapped index. More...
struct | Ogre::TangentSpaceCalc::Result
| The result of having built a tangent space basis. More...
struct | Ogre::TangentSpaceCalc::VertexInfo

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:52 2009